# HG changeset patch
# User Sean Farley <sean@farley.io>
# Date 1452041090 28800
#      Tue Jan 05 16:44:50 2016 -0800
# Node ID cb7c59b22d7c344320d1235e4b6ddf69ec56c513
# Parent  f03080aa3226c638f6e8429c802688521882a9f4
shared libs

diff --git a/SRC/cmrg/Makefile b/SRC/cmrg/Makefile
--- a/SRC/cmrg/Makefile
+++ b/SRC/cmrg/Makefile
@@ -31,16 +31,21 @@ SPRNG_COMMON_DEPEND = $(SRCDIR)/fwrap_mp
 		      $(SRCDIR)/memory.o  $(SRCDIR)/communicate.o  $(SRCDIR)/checkid.o $(SRCDIR)/store.o
 
 cmrg :
 	(cd ..; $(MAKE) sprng_common)
 	$(MAKE) $(LIBDIR)/libcmrg.a
+	$(MAKE) $(LIBDIR)/libcmrg.dylib
 
 $(LIBDIR)/libcmrg.a : cmrg.o primes.o  $(SPRNG_COMMON_DEPEND)
 	$(AR) $(ARFLAGS) $(LIBDIR)/libcmrg.a cmrg.o primes.o \
 		$(SPRNG_COMMON_DEPEND)
 	$(RANLIB) $(LIBDIR)/libcmrg.a
 
+$(LIBDIR)/libcmrg.dylib : cmrg.o primes.o  $(SPRNG_COMMON_DEPEND)
+	$(CC) $(LDFLAGS) -o $(LIBDIR)/libcmrg.dylib cmrg.o primes.o \
+		$(SPRNG_COMMON_DEPEND) $(SHAREDFLAGS) -install_name $(PREFIX)/lib/libcmrg.dylib
+
 cmrg.o : $(SRCDIR)/interface.h cmrg.c  $(SRCDIR)/memory.h  primes.h  $(SRCDIR)/multiply.h $(SRCDIR)/store.h $(SRCDIR)/fwrap_.h
 	$(CC) -c $(CFLAGS) $(FFXN) $(INLINEOPT)  cmrg.c -I$(SRCDIR)
 
 primes.o : primes.h primes.c
 	$(CC) -c $(CFLAGS) primes.c -I$(SRCDIR)
diff --git a/SRC/lcg/Makefile b/SRC/lcg/Makefile
--- a/SRC/lcg/Makefile
+++ b/SRC/lcg/Makefile
@@ -31,16 +31,21 @@ SPRNG_COMMON_DEPEND = $(SRCDIR)/fwrap_mp
 		      $(SRCDIR)/memory.o  $(SRCDIR)/communicate.o  $(SRCDIR)/checkid.o $(SRCDIR)/store.o
 
 lcg :
 	(cd ..; $(MAKE) sprng_common)
 	$(MAKE) $(LIBDIR)/liblcg.a
+	$(MAKE) $(LIBDIR)/liblcg.dylib
 
 $(LIBDIR)/liblcg.a : lcg.o primes.o  $(SPRNG_COMMON_DEPEND)
 	$(AR) $(ARFLAGS) $(LIBDIR)/liblcg.a lcg.o primes.o \
 		$(SPRNG_COMMON_DEPEND)
 	$(RANLIB) $(LIBDIR)/liblcg.a
 
+$(LIBDIR)/liblcg.dylib : lcg.o primes.o  $(SPRNG_COMMON_DEPEND)
+	$(CC) $(LDFLAGS) -o $(LIBDIR)/liblcg.dylib lcg.o primes.o \
+		$(SPRNG_COMMON_DEPEND) $(SHAREDFLAGS) -install_name $(PREFIX)/lib/liblcg.dylib
+
 lcg.o : $(SRCDIR)/interface.h lcg.c  $(SRCDIR)/memory.h  primes.h  $(SRCDIR)/multiply.h $(SRCDIR)/store.h $(SRCDIR)/fwrap_.h
 	$(CC) -c $(CFLAGS)  $(FFXN) $(INLINEOPT) lcg.c -I$(SRCDIR)
 
 primes.o : primes.h primes.c
 	$(CC) -c $(CFLAGS) primes.c -I$(SRCDIR)
diff --git a/SRC/lcg64/Makefile b/SRC/lcg64/Makefile
--- a/SRC/lcg64/Makefile
+++ b/SRC/lcg64/Makefile
@@ -31,16 +31,21 @@ SPRNG_COMMON_DEPEND = $(SRCDIR)/fwrap_mp
 		      $(SRCDIR)/memory.o  $(SRCDIR)/communicate.o  $(SRCDIR)/checkid.o $(SRCDIR)/store.o
 
 lcg64 :
 	(cd ..; $(MAKE) sprng_common)
 	$(MAKE) $(LIBDIR)/liblcg64.a
+	$(MAKE) $(LIBDIR)/liblcg64.dylib
 
 $(LIBDIR)/liblcg64.a : lcg64.o primes.o  $(SPRNG_COMMON_DEPEND)
 	$(AR) $(ARFLAGS) $(LIBDIR)/liblcg64.a lcg64.o primes.o \
 		$(SPRNG_COMMON_DEPEND)
 	$(RANLIB) $(LIBDIR)/liblcg64.a
 
+$(LIBDIR)/liblcg64.dylib : lcg64.o primes.o  $(SPRNG_COMMON_DEPEND)
+	$(CC) $(LDFLAGS) -o $(LIBDIR)/liblcg64.dylib lcg64.o primes.o \
+		$(SPRNG_COMMON_DEPEND) $(SHAREDFLAGS) -install_name $(PREFIX)/lib/liblcg64.dylib
+
 lcg64.o : $(SRCDIR)/interface.h lcg64.c  $(SRCDIR)/memory.h  primes.h  $(SRCDIR)/multiply.h $(SRCDIR)/store.h $(SRCDIR)/fwrap_.h
 	$(CC) -c $(CFLAGS) $(FFXN) $(INLINEOPT) -I$(SRCDIR) lcg64.c 
 
 primes.o : primes.h primes.c
 	$(CC) -c $(CFLAGS) primes.c -I$(SRCDIR)
diff --git a/SRC/lfg/Makefile b/SRC/lfg/Makefile
--- a/SRC/lfg/Makefile
+++ b/SRC/lfg/Makefile
@@ -30,15 +30,20 @@ SPRNG_COMMON_DEPEND = $(SRCDIR)/fwrap_mp
 		      $(SRCDIR)/memory.o  $(SRCDIR)/communicate.o  $(SRCDIR)/checkid.o $(SRCDIR)/store.o
 
 lfg :
 	(cd ..; $(MAKE) sprng_common)
 	$(MAKE) $(LIBDIR)/liblfg.a
+	$(MAKE) $(LIBDIR)/liblfg.dylib
 
 $(LIBDIR)/liblfg.a: lfg.o  $(SPRNG_COMMON_DEPEND)
 	$(AR) $(ARFLAGS) $(LIBDIR)/liblfg.a lfg.o $(SPRNG_COMMON_DEPEND)
 	$(RANLIB) $(LIBDIR)/liblfg.a
 
+$(LIBDIR)/liblfg.dylib: lfg.o  $(SPRNG_COMMON_DEPEND)
+	$(CC) $(LDFLAGS) -o $(LIBDIR)/liblfg.dylib lfg.o \
+		$(SPRNG_COMMON_DEPEND) $(SHAREDFLAGS) -install_name $(PREFIX)/lib/liblfg.dylib
+
 lfg.o : $(SRCDIR)/interface.h lfg.c  $(SRCDIR)/multiply.h  $(SRCDIR)/memory.h $(SRCDIR)/store.h $(SRCDIR)/fwrap_.h
 	$(CC) -c $(CFLAGS)  $(FFXN) $(INLINEOPT) lfg.c -I$(SRCDIR)
 
 
 #---------------------------------------------------------------------------
diff --git a/SRC/mlfg/Makefile b/SRC/mlfg/Makefile
--- a/SRC/mlfg/Makefile
+++ b/SRC/mlfg/Makefile
@@ -30,15 +30,20 @@ SPRNG_COMMON_DEPEND = $(SRCDIR)/fwrap_mp
 		      $(SRCDIR)/memory.o  $(SRCDIR)/communicate.o  $(SRCDIR)/checkid.o $(SRCDIR)/store.o
 
 mlfg :
 	(cd ..; $(MAKE) sprng_common)
 	$(MAKE) $(LIBDIR)/libmlfg.a
+	$(MAKE) $(LIBDIR)/libmlfg.dylib
 
 $(LIBDIR)/libmlfg.a: mlfg.o  $(SPRNG_COMMON_DEPEND)
 	$(AR) $(ARFLAGS) $(LIBDIR)/libmlfg.a mlfg.o $(SPRNG_COMMON_DEPEND)
 	$(RANLIB) $(LIBDIR)/libmlfg.a
 
+$(LIBDIR)/libmlfg.dylib: mlfg.o  $(SPRNG_COMMON_DEPEND)
+	$(CC) $(LDFLAGS) -o $(LIBDIR)/libmlfg.dylib mlfg.o \
+		$(SPRNG_COMMON_DEPEND) $(SHAREDFLAGS) -install_name $(PREFIX)/lib/libmlfg.dylib
+
 mlfg.o : $(SRCDIR)/interface.h mlfg.c int64.h  $(SRCDIR)/memory.h $(SRCDIR)/store.h $(SRCDIR)/fwrap_.h
 	$(CC) -c $(CFLAGS)  $(FFXN) $(INLINEOPT) mlfg.c -I$(SRCDIR)
 
 
 #---------------------------------------------------------------------------
